## org.eclipse.datatools.enablement.ase.deltaddl
Class SybaseASEForeignKeyDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
              org.eclipse.datatools.enablement.ase.deltaddl.SybaseASEConstraintDeltaDdlGenProvider
                  org.eclipse.datatools.enablement.ase.deltaddl.SybaseASEForeignKeyDeltaDdlGenProvider

All Implemented Interfaces:
  ISybaseASEDdlConstants, ISybaseDdlConstants, IDeltaDdlGenProvider

    public class SybaseASEForeignKeyDeltaDdlGenProvider

extends SybaseASEConstraintDeltaDdlGenProvider

Author:
  David Cui

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.ase.ISybaseASEDdlConstants

`ACCESS, ACCESSRULE, ALL, ALLOW_DUPLICATE_ROW, ALLPAGES, AND, BY, COLUMN_DELIMITER, CONCURRENCY_OPT_THRESHOLD, CONSUMERS, DATABASE_OWNER, DATAPAGES, DATAROWS, DEFAULT_LOCATION, DISABLE, ENABLE, EXEC, EXISTING, EXP_ROW_SIZE, FILLFACTOR, FUTUREONLY, HASH, IDENTITY, IDENTITY_GAP, IGNORE_DUPLICATE_KEY, IGNORE_DUPLICATE_ROW, LESSEQUAL, LIST, LOAD, LOCAL_INDEX, LOCK, master, MATCHFULL, MATERIALIZED, MAX_ROWS_PER_PAGE, MODIFIES_SQL_DATA, MODIFY, MRU, OFF, OR, OVERRIDE, PARTITION, PREFETCH, PROXY_UPDATE, RANGE, REPLACE, RESERVEPAGEGAP, ROUNDROBIN, RULE, SETUSER, SORTED_DATA, SP_ADDGROUP, SP_ADDOBJECTDEF, SP_ADDSEGMENT, SP_ADDTYPE, SP_ADDUSER, SP_BINDCACHE, SP_BINDEFAULT, SP_BINDRULE, SP_CACHESTRATEGY, SP_CHANGEGROUP, SP_CHGATTRIBUTE, SP_DROPGROUP, SP_DROPOBJECTDEF, SP_DROPSEGMENT, SP_DROPTYPE, SP_DROPUSER, SP_EXTENDSEGMENT, SP_PLACEOBJECT, SP_RENAME, SP_UNBINDEFAULT, SP_UNBINDRULE, SP_WEBSERVICES, STATISTICS_USING, TABLE_ONLY, TEXT_ONLY, USE, VALUES`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, RENAME, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Constructor Summary
`SybaseASEForeignKeyDeltaDdlGenProvider()`

Method Summary
`void` `processAlterStatement(SQLObject element, java.util.Map modifyRecordMap, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject modification scripts

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
`analyze, getParameter, processCreateStatement, processDropStatement, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropFunction, dropIndex, dropProcedure, dropSchema, dropTable, dropTableConstraint, dropTrigger, dropUserDefinedType, dropView, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASEForeignKeyDeltaDdlGenProvider

    public SybaseASEForeignKeyDeltaDdlGenProvider()

Method Detail

### processAlterStatement

    public void processAlterStatement(SQLObject element,
                                      java.util.Map modifyRecordMap,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      boolean fullSyntax,
                                      SybaseDdlScript script,
                                      org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject modification scripts

  Specified by:
    `processAlterStatement` in interface `IDeltaDdlGenProvider`
  Overrides:
    `processAlterStatement` in class `AbstractDeltaDdlGenProvider`